%global major 1
%define libname %mklibname %name %major
%define devel %mklibname -d %{name}
%define _vpath_builddir build

#define prel 20200502
%define prel_ver 1.x
%define rel 1

Name:           spdlog
Version:        1.6.0
Release:        %mkrel %{?prel:-c git%{prel}} %{rel}
Summary:        Super fast C++ logging library
Group:		Development/C
License:        MIT
URL:            https://github.com/gabime/%{name}/
Source0:        https://github.com/gabime/%{name}/archive/%{?prel:v%{prel_ver}}%{?!prel:v%{version}}/%{name}-%{version}%{?prel:-git%{prel}}.tar.gz

#BuildRequires:  google-benchmark-devel
BuildRequires:  ninja
BuildRequires:  cmake(fmt)
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(systemd)

%description
This is a packaged version of the gabime/spdlog header-only C++
logging library available at Github.

%package -n %{devel}
Group:		Development/C
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       fmt-devel
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel}
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%package -n %{libname}
Group:		Development/C
Summary:        Library for %name
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       fmt-devel

%description -n %{libname}
Library for %{name}

%prep
%autosetup %{?prel:-n %{name}-%{prel_ver}}
find . -name '.gitignore' -exec rm {} \;
sed -i -e "s,\r,," README.md

%build
%cmake -G Ninja \
    -DSPDLOG_BUILD_EXAMPLES=OFF \
    -DSPDLOG_BUILD_BENCH=OFF \
    -DSPDLOG_BUILD_TESTS=ON \
    -DSPDLOG_FMT_EXTERNAL=ON \
    -DSPDLOG_BUILD_SHARED=ON
 
%ninja_build

%if 0
%check
pushd %{_vpath_builddir}
    ctest --output-on-failure
popd
%endif

%install
%ninja_install -C %{_vpath_builddir}

# find %{buildroot} -name "*.a" -delete

%files -n %{devel}
%doc README.md example/
%license LICENSE
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libspdlog.so

%files -n %{libname}
%{_libdir}/libspdlog.so.%{major}{,.*}


%changelog
* Wed May 20 2020 neoclust <neoclust> 1.6.0-1.mga7
+ Revision: 1586439
+ rebuild (emptylog)

* Fri May 15 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1584063
- Update to version 1.6.0

* Mon May 04 2020 kekepower <kekepower> 1.5.1-0.git20200502.1.mga8
+ Revision: 1579608
- Update to snapshot 1.5.1-git20200502

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-3.mga8
+ Revision: 1568300
- Fixed both library and devel packages provided the same name

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-2.mga8
+ Revision: 1568276
- Devel package must require the library package

* Sat Apr 04 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1564525
- Update to version 1.5.0
- Rebuild for new fmt

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-4.mga8
+ Revision: 1528665
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 26 2019 tv <tv> 1.3.1-3.mga8
+ Revision: 1432331
- imported package spdlog


* Mon Aug 26 2019 Thierry Vignaud <tv@mageia.org> 1.3.1-3.mga8
- import from FC

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jan 20 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 1.3.1-1
- Updated to version 1.3.1.

* Mon Nov 05 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.2.1-1
- Updated to version 1.2.1.

* Sun Sep 02 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.1.0-1
- Updated to version 1.1.0.

* Thu Aug 09 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.0.0-1
- Updated to version 1.0.0.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.17.0-1
- Updated to version 0.17.0.
- Added tests support.
- Added cmake and pkg-config support.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Sep 04 2016 Daniel Kopecek <dkopecek@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Fri Jul 08 2016 Daniel Kopecek <dkopecek@redhat.com> - 0-8.20160703git34bb86b
- update to rev 34bb86b

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20151110gitcbc8ba7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-6.20151110gitcbc8ba7
- update to rev cbc8ba7

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.20150410git211ce99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-4.20150410git211ce99
- don't build the base package
- remove a dot from the release tag
- corrected -devel subpackage description

* Mon Apr 20 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-3.20150410git.211ce99
- use the -p option when copying the header files

* Tue Apr 14 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-2.20150410git.211ce99
- don't build the debuginfo subpackage
- require libstdc++-devel
- don't generate a distribution specific pkg-config file

* Fri Apr 10 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-1.20150410git.211ce99
- Initial package
